Avahi Empty TXT Data Denial Of Service Vulnerability

Bugtraq ID: 24614
Class: Failure to Handle Exceptional Conditions
CVE: CVE-2007-3372
Remote: No
Local: Yes
Published: Jun 25 2007 12:00AM
Updated: Dec 29 2008 10:32PM
Credit: Emanuele Aina is credited with discovering this issue.
Vulnerable: Ubuntu Ubuntu Linux 8.10 sparc
Ubuntu Ubuntu Linux 8.10 powerpc
Ubuntu Ubuntu Linux 8.10 lpia
Ubuntu Ubuntu Linux 8.10 i386
Ubuntu Ubuntu Linux 8.10 amd64
Ubuntu Ubuntu Linux 8.04 LTS sparc
Ubuntu Ubuntu Linux 8.04 LTS powerpc
Ubuntu Ubuntu Linux 8.04 LTS lpia
Ubuntu Ubuntu Linux 8.04 LTS i386
Ubuntu Ubuntu Linux 8.04 LTS amd64
Ubuntu Ubuntu Linux 7.10 sparc
Ubuntu Ubuntu Linux 7.10 powerpc
Ubuntu Ubuntu Linux 7.10 lpia
Ubuntu Ubuntu Linux 7.10 i386
Ubuntu Ubuntu Linux 7.10 amd64
Ubuntu Ubuntu Linux 6.06 LTS sparc
Ubuntu Ubuntu Linux 6.06 LTS powerpc
Ubuntu Ubuntu Linux 6.06 LTS i386
Ubuntu Ubuntu Linux 6.06 LTS amd64
SuSE Linux 10.1 x86-64
SuSE Linux 10.1 x86
SuSE Linux 10.1 ppc
SuSE Linux 10.0 x86-64
SuSE Linux 10.0 x86
SuSE Linux 10.0 ppc
S.u.S.E. openSUSE 10.2
Mandriva Linux Mandrake 2007.1 x86_64
Mandriva Linux Mandrake 2007.1
Mandriva Linux Mandrake 2007.0 x86_64
Mandriva Linux Mandrake 2007.0
Foresight Linux Foresight Linux 1.1
Debian Linux 4.0 sparc
Debian Linux 4.0 s/390
Debian Linux 4.0 powerpc
Debian Linux 4.0 mipsel
Debian Linux 4.0 mips
Debian Linux 4.0 m68k
Debian Linux 4.0 ia-64
Debian Linux 4.0 ia-32
Debian Linux 4.0 hppa
Debian Linux 4.0 arm
Debian Linux 4.0 amd64
Debian Linux 4.0 alpha
Debian Linux 4.0
Avahi Avahi 0.6.16
Avahi Avahi 0.6.15
Avahi Avahi 0.6.13
Avahi Avahi 0.6.11
Avahi Avahi 0.6.10
Avahi Avahi 0.6.9
Avahi Avahi 0.6.8
Avahi Avahi 0.6.7
Avahi Avahi 0.5.2
Not Vulnerable: Avahi Avahi 0.6.20


 

Privacy Statement
Copyright 2010, SecurityFocus